Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 338858 - dev-libs/libdbusmenu-qt-0.6.3 from kde overlay doesn't compile
Summary: dev-libs/libdbusmenu-qt-0.6.3 from kde overlay doesn't compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL: https://bugs.launchpad.net/libdbusmen...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-26 21:54 UTC by Yörn Jünger
Modified: 2010-11-09 15:16 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild patch to libdbusmenu-qt-0.6.3-r1 (libdbusmenu-qt-0.6.3.patch,191 bytes, patch)
2010-09-26 21:55 UTC, Yörn Jünger
Details | Diff
patch to fix the source (libdbusmenu-qt-qjson_ldflags.patch,290 bytes, patch)
2010-09-26 21:56 UTC, Yörn Jünger
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yörn Jünger 2010-09-26 21:54:07 UTC
According to https://bugs.launchpad.net/libdbusmenu-qt/+bug/646381 there is a fix out now.

Reproducible: Always

Steps to Reproduce:
1. emerge =dev-libs/libdbusmenu-qt-0.6.3
2. see how emerge fails

Actual Results:  

[ 48%] Building CXX object src/CMakeFiles/dbusmenu-qt.dir/utils.cpp.o
[ 51%] Building CXX object src/CMakeFiles/dbusmenu-qt.dir/dbusmenuadaptor.cpp.o
Linking CXX shared library libdbusmenu-qt.so
[ 51%] Built target dbusmenu-qt
[ 55%] [ 59%] [ 62%] [ 66%] Generating testutils.moc
[ 70%] Generating dbusmenuexportertest.moc
Generating slowmenu.moc
Generating testutils.moc
Generating dbusmenushortcuttest.moc
Scanning dependencies of target slowmenu
[ 74%] Generating dbusmenuimportertest.moc
Scanning dependencies of target dbusmenubench-qtapp
[ 77%] Building CXX object tools/testapp/CMakeFiles/dbusmenubench-qtapp.dir/main.cpp.o
Scanning dependencies of target dbusmenuimportertest
Scanning dependencies of target dbusmenuexportertest
Scanning dependencies of target dbusmenushortcuttest
[ 81%] Building CXX object tests/CMakeFiles/slowmenu.dir/slowmenu.cpp.o
[ 85%] Building CXX object tests/CMakeFiles/dbusmenushortcuttest.dir/dbusmenushortcuttest.cpp.o
[ 88%] Building CXX object tests/CMakeFiles/dbusmenuexportertest.dir/dbusmenuexportertest.cpp.o
[ 92%] Building CXX object tests/CMakeFiles/dbusmenuimportertest.dir/dbusmenuimportertest.cpp.o
Linking CXX executable dbusmenubench-qtapp
/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.1/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lQtCore
collect2: ld returned 1 exit status
make[2]: *** [tools/testapp/dbusmenubench-qtapp] Error 1
make[1]: *** [tools/testapp/CMakeFiles/dbusmenubench-qtapp.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....

Expected Results:  
The linker finds QtCore.
Comment 1 Yörn Jünger 2010-09-26 21:55:22 UTC
Created attachment 248711 [details, diff]
ebuild patch to libdbusmenu-qt-0.6.3-r1
Comment 2 Yörn Jünger 2010-09-26 21:56:42 UTC
Created attachment 248713 [details, diff]
patch to fix the source

Patch taken from https://bugs.launchpad.net/libdbusmenu-qt/+bug/646381
Comment 3 Samuli Suominen gentoo-dev 2010-09-26 22:05:45 UTC
The patch looks invalid... LDFLAGS is not for passing libraries, the order matters for LDFLAGS like -Wl,--as-needed.   It's a workaround at most.
Above patch looks more proper, cmake has ways to separate -L flags from -l flags when calling pkg-config, _LIBRARY_DIRS.
Perhaps 
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-libs/libdbusmenu-qt/files/libdbusmenu-qt-0.3.2-cmake.patch?hideattic=0&view=markup 
was dropped too soon?
Comment 4 Yörn Jünger 2010-09-27 07:00:42 UTC
Yeah, this is a lazy peaople patch. Separating is always better. The patch works and lives in my local portage overlay till there is a "better" patch. I don't know that much about cmake ;)
Comment 5 Corentin Chary (RETIRED) gentoo-dev 2010-10-22 08:06:57 UTC
Here is another solution

+ link_directories(
+  ${QJSON_LIBRARY_DIRS}
+ )
 
 add_executable(dbusmenubench-qtapp ${qtapp_SRCS})

Comment 6 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-11-09 15:16:50 UTC
should be fixed in 0.6.4, please reopen if it persists